#!/bin/bash
set -e

if [ "$#" -ne 2 ]; then
    echo "need 2 parameters : python_version and openssl_version"
    echo "example : 3.8.16 3.0.9"
    exit
fi

python_version="$1"
openssl_version="$2"

rm -Rf /opt/python38

wget https://www.openssl.org/source/openssl-${openssl_version}.tar.gz --directory-prefix=/root
wget https://www.python.org/ftp/python/$1/Python-${python_version}.tgz --directory-prefix=/root
wget https://kerberos.org/dist/krb5/1.20/krb5-1.20.1.tar.gz --directory-prefix=/root
wget https://github.com/OpenSC/libp11/archive/refs/tags/libp11-0.4.12.tar.gz --directory-prefix=/root


